package org.jeecg.modules.checkData.equipmentCheckData.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.checkData.equipmentCheckData.dto.MovementRecordsMasterDTO;
import org.jeecg.modules.checkData.equipmentCheckData.dto.RecordPatrolMasterDTO;
import org.jeecg.modules.checkData.equipmentCheckData.entity.MovementRecordsMaster;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.checkData.equipmentCheckData.vo.MovementRecordsMasterVO;
import org.jeecg.modules.checkData.equipmentCheckData.vo.RecordPatrolMasterVO;

/**
 * <p>
 * 动静态几何尺寸数据主表	 Mapper 接口
 * </p>
 *
 * @author hkl
 * @since 2023-07-11
 */
public interface MovementRecordsMasterMapper extends BaseMapper<MovementRecordsMaster> {
    /**
     * 动静态几何尺寸列表-分页列表查询
     * @param pageData
     * @param dto
     * @return
     */
    Page<MovementRecordsMasterVO> queryPageList(Page<MovementRecordsMasterVO> pageData, MovementRecordsMasterDTO dto);
}
