package org.jeecg.modules.checkData.equipmentCheckData.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.checkData.equipmentCheckData.dto.MovementRecordsMasterDTO;
import org.jeecg.modules.checkData.equipmentCheckData.entity.MovementRecordsMaster;
import org.jeecg.modules.checkData.equipmentCheckData.mapper.MovementRecordsMasterMapper;
import org.jeecg.modules.checkData.equipmentCheckData.service.IMovementRecordsMasterService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.checkData.equipmentCheckData.vo.MovementRecordsMasterVO;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 动静态几何尺寸数据主表	 服务实现类
 * </p>
 *
 * @author hkl
 * @since 2023-07-11
 */
@Service
public class MovementRecordsMasterServiceImpl extends ServiceImpl<MovementRecordsMasterMapper, MovementRecordsMaster> implements IMovementRecordsMasterService {
    /**
     * 动静态几何尺寸列表-分页列表查询
     * @param pageData
     * @param dto
     * @return
     */
    @Override
    public Page<MovementRecordsMasterVO> queryPageList(Page<MovementRecordsMasterVO> pageData, MovementRecordsMasterDTO dto) {
        return this.baseMapper.queryPageList(pageData,dto);
    }
}
